nlohmann::detail::detector< Default, AlwaysVoid, Op, Args > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::detector< Default, AlwaysVoid, Op, Args >:

## Public Types

using | value_t = std::false_type
using | type = Default

## Detailed Description

### template<class Default, class AlwaysVoid, template< class... > class Op, class... Args>
struct nlohmann::detail::detector< Default, AlwaysVoid, Op, Args >

Definition at line 3294 of file json.hpp.

## Member Typedef Documentation

## type

template<class Default , class AlwaysVoid , template< class... > class Op, class... Args>

using nlohmann::detail::detector< Default, AlwaysVoid, Op, Args >::type = Default

Definition at line 3297 of file json.hpp.

## value_t

template<class Default , class AlwaysVoid , template< class... > class Op, class... Args>

using nlohmann::detail::detector< Default, AlwaysVoid, Op, Args >::value_t = std::false_type

Definition at line 3296 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp